Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled
Class BooleanControl.Type

    java.lang.Object
      |
      +--javax.sound.sampled.Control.Type
            |
            +--javax.sound.sampled.BooleanControl.Type

Enclosing class:
  BooleanControl

public static class BooleanControl.Type
extends Control.Type

An instance of the `BooleanControl.Type` class identifies one kind of boolean control. Static instances are provided for the common types.

Since:
  1.3

Field Summary
`static BooleanControl.Type` | `APPLY_REVERB` Represents a control for whether reverberation is applied to a line.
`static BooleanControl.Type` | `MUTE` Represents a control for the mute status of a line.

Constructor Summary
`protected` | `BooleanControl.Type(String name)` Constructs a new boolean control type.

Methods inherited from class javax.sound.sampled.Control.Type
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MUTE

    public static final BooleanControl.Type MUTE

  Represents a control for the mute status of a line. Note that mute status does not affect gain.

### APPLY_REVERB

    public static final BooleanControl.Type APPLY_REVERB

  Represents a control for whether reverberation is applied to a line. Note that the status of this control not affect the reverberation settings for a line, but does affect whether these settings are used.

Constructor Detail

### BooleanControl.Type

    protected BooleanControl.Type(String name)

  Constructs a new boolean control type.

Parameters:
  `name` - the name of the new boolean control type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.